> ## Documentation Index
> Fetch the complete documentation index at: https://portfolio.subinb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update patient profile

> Updates an existing patient's profile.



## OpenAPI

````yaml PUT /patient
openapi: 3.0.0
info:
  title: Subin Health API
  description: >

    # Overview

    Subin Health API lets you manage patient data, prescriptions, and inventory.
    You can view, edit, delete patient profiles, history, visits, and medical
    records. You can also track the medicine inventory based on new
    prescriptions. <br>This API is REST-based and is documented in OpenAPI
    format. <br><br>    Base URL for all requests:
    `https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0`.

    # Authentication

    Subin Health API uses API Key authentication. Click `Authorize` and enter a
    string to generate a new API key.

    # Use Case

    ## Prescription and Invoicing

    You can use Subin Health API to generate prescription after a doctor's
    consultation and invoice for payment. The endpoints related to inventory
    check the real-time availability of medicines in your inventory. With the
    help of historic data from prescriptions, you can proactively restock
    medicines that are in demand. <br> <br> The following diagram outlines the
    process flow: <br> ![Flow
    diagram](https://raw.githubusercontent.com/subin23k/apidocs/main/flow_diagram.png
    "Flow diagram") <br> When the flow is complete, the system automatically
    updates the patient's history.
  version: 1.0.0
servers:
  - url: https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0
    description: Subin Health API
security:
  - api_key: []
tags:
  - name: Patient
    description: Manage patient data
  - name: History
    description: Manage patient's history
  - name: Prescriptions
    description: Manage prescriptions
  - name: Inventory
    description: Manage inventory
  - name: Invoice
    description: Manage invoices
paths:
  /patient:
    put:
      tags:
        - Patient
      summary: Update patient profile
      description: Updates an existing patient's profile.
      operationId: updatePatient
      requestBody:
        $ref: '#/components/requestBodies/Patient'
      responses:
        '200':
          description: Successful operation
        '400':
          description: Invalid patient ID
        '404':
          description: Patient not found
        '405':
          description: Validation exception
components:
  requestBodies:
    Patient:
      description: Object that contains patient data
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Patient'
        application/xml:
          schema:
            $ref: '#/components/schemas/Patient'
      required: true
  schemas:
    Patient:
      description: Demographic and basic medical profile of a patient.
      required:
        - id
        - insurance
        - name
        - phone
      type: object
      properties:
        patientId:
          type: integer
          description: Unique identifier for the patient.
          format: int64
          example: 234796
        name:
          type: string
          description: Registered name of the patient.
          example: Subin
        age:
          type: integer
          description: Current age of the patient in years.
          format: int64
          example: 100
        address:
          type: string
          description: Primary residential address of the patient.
          example: Bangalore, India
        gender:
          type: string
          description: Gender of the patient.
          example: Male
        weight:
          type: integer
          description: Weight of the patient in kilograms.
          example: 70
        phone:
          type: integer
          description: Primary contact phone number for the patient.
          format: int64
          example: 9876543210
        email:
          type: string
          description: Primary email address for the patient.
          example: abc@example.com
        insurance:
          type: boolean
          description: Indicates whether the patient has active health insurance coverage.
          example: true
        location:
          type: string
          description: City or primary geographic location of the patient.
          example: Bangalore
        lastvisit:
          type: string
          description: Date of the patient's most recent hospital visit (DD/MM/YYYY).
          example: 01/03/2024
      xml:
        name: Patient
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: header

````